Skip to main content
POST
/
v1
/
email
/
send
Send email
curl --request POST \
  --url https://api.usenaive.ai/v1/email/send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_inbox": "<string>",
  "to": "<string>",
  "subject": "<string>",
  "body": "<string>",
  "reply_to": "<string>",
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "scheduled_at": "2023-11-07T05:31:56Z",
  "in_reply_to": "<string>",
  "attachments": [
    {
      "filename": "<string>",
      "content": "<string>",
      "path": "<string>"
    }
  ]
}
'
{
  "id": "<string>",
  "status": "<string>",
  "from_inbox": "<string>",
  "from_address": "<string>",
  "to": "<string>",
  "credits_used": 123,
  "credits_remaining": 123
}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Body

application/json
from_inbox
string
required

Inbox UUID or full email address.

to
string
required
subject
string
required
body
string
required
reply_to
string
cc
string[]
bcc
string[]
scheduled_at
string<date-time>
in_reply_to
string
attachments
object[]

Response

Sent.

id
string
status
string
from_inbox
string
from_address
string
to
string
credits_used
number
credits_remaining
number